Index: libs/python/test/exec.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/exec.cpp,v
retrieving revision 1.4
diff -b -d -u -r1.4 exec.cpp
--- libs/python/test/exec.cpp	13 Sep 2005 14:42:03 -0000	1.4
+++ libs/python/test/exec.cpp	18 Feb 2006 22:55:09 -0000
@@ -4,22 +4,10 @@
 // http://www.boost.org/LICENSE_1_0.txt)
 
 #include <boost/python.hpp>
-#define BOOST_ENABLE_ASSERT_HANDLER 1
-#include <boost/assert.hpp>
-#include <iostream>
-
-namespace boost
-{
 
-void assertion_failed(char const * expr, char const * function,
-		      char const * file, long line)
-{
-  std::cerr << "assertion failed : " << expr << " in " << function
-	    << " at " << file << ':' << line << std::endl;
-  abort();
-}
+#include <boost/detail/lightweight_test.hpp>
+#include <iostream>
 
-} // namespace boost
 
 namespace python = boost::python;
 
@@ -85,7 +73,7 @@
 
   // Creating and using instances of the C++ class is as easy as always.
   CppDerived cpp;
-  BOOST_ASSERT(cpp.hello() == "Hello from C++!");
+  BOOST_TEST(cpp.hello() == "Hello from C++!");
 
   // But now creating and using instances of the Python class is almost
   // as easy!
@@ -93,7 +81,7 @@
   Base& py = python::extract<Base&>(py_base) BOOST_EXTRACT_WORKAROUND;
 
   // Make sure the right 'hello' method is called.
-  BOOST_ASSERT(py.hello() == "Hello from Python!");
+  BOOST_TEST(py.hello() == "Hello from Python!");
 }
 
 void exec_file_test(std::string const &script)
@@ -103,7 +91,7 @@
   python::object result = python::exec_file(script.c_str(), global, global);
 
   // Extract an object the script stored in the global dictionary.
-  BOOST_ASSERT(python::extract<int>(global["number"]) ==  42);
+  BOOST_TEST(python::extract<int>(global["number"]) ==  42);
 }
 
 void exec_test_error()
@@ -115,9 +103,8 @@
 
 int main(int argc, char **argv)
 {
-  assert(argc == 2);
+  BOOST_TEST(argc == 2);
   std::string script = argv[1];
-  bool success = true;
   // Initialize the interpreter
   Py_Initialize();
 
@@ -126,15 +113,16 @@
   {
     if (PyErr_Occurred())
     {
+      BOOST_ERROR("Python Error detected");
       PyErr_Print();
     }
     else
     {
-      std::cerr << "A C++ exception was thrown  for which "
-		<< "there was no exception handler registered." << std::endl;
+        BOOST_ERROR("A C++ exception was thrown  for which "
+                    "there was no exception handler registered.");
     }
-    success = false;
   }
+  
   if (python::handle_exception(exec_test_error))
   {
     if (PyErr_Occurred())
@@ -143,18 +131,18 @@
     }
     else
     {
-      std::cerr << "A C++ exception was thrown  for which "
-		<< "there was no exception handler registered." << std::endl;
-      success = false;
+        BOOST_ERROR("A C++ exception was thrown  for which "
+                    "there was no exception handler registered.");
     }
   }
   else
   {
-    success = false;
+      BOOST_ERROR("Python exception expected, but not seen.");
   }
+  
   // Boost.Python doesn't support Py_Finalize yet.
   // Py_Finalize();
-  return success ? 0 : 1;
+  return boost::report_errors();
 }
 
 // Including this file makes sure
Index: libs/python/test/extract.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/extract.cpp,v
retrieving revision 1.17
diff -b -d -u -r1.17 extract.cpp
--- libs/python/test/extract.cpp	22 Jan 2006 19:28:58 -0000	1.17
+++ libs/python/test/extract.cpp	18 Feb 2006 22:55:12 -0000
@@ -13,7 +13,8 @@
 #include <boost/python/implicit.hpp>
 #include <string>
 #include <boost/lexical_cast.hpp>
-#include <cassert>
+#define BOOST_ENABLE_ASSERT_HANDLER
+#include <boost/assert.hpp>
 #include "test_class.hpp"
 
 using namespace boost::python;
Index: libs/python/test/indirect_traits_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/indirect_traits_test.cpp,v
retrieving revision 1.9
diff -b -d -u -r1.9 indirect_traits_test.cpp
--- libs/python/test/indirect_traits_test.cpp	24 Jun 2005 15:42:22 -0000	1.9
+++ libs/python/test/indirect_traits_test.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,7 +2,8 @@
 // Software License, Version 1.0. (See accompanying
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 //#include <stdio.h>
-#include <cassert>
+#define BOOST_ENABLE_ASSERT_HANDLER
+#include <boost/assert.hpp>
 #include <boost/type_traits/is_member_function_pointer.hpp>
 #include <boost/mpl/assert.hpp>
 #include <boost/python/detail/indirect_traits.hpp>
Index: libs/python/test/list.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/list.cpp,v
retrieving revision 1.11
diff -b -d -u -r1.11 list.cpp
--- libs/python/test/list.cpp	25 Oct 2004 11:58:45 -0000	1.11
+++ libs/python/test/list.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,6 +2,8 @@
 // Distributed under the Boost Software License, Version 1.0. (See
 // accompanying file LICENSE_1_0.txt or copy at
 // http://www.boost.org/LICENSE_1_0.txt)
+#include <boost/assert.hpp>
+
 
 #include <boost/python/module.hpp>
 #include <boost/python/def.hpp>
@@ -118,10 +120,10 @@
     w.append(5);
     w.append(6);
     w += "hi";
-    assert(w[0] == 5);
-    assert(w[1] == 6);
-    assert(w[2] == 'h');
-    assert(w[3] == 'i');
+    BOOST_ASSERT(w[0] == 5);
+    BOOST_ASSERT(w[1] == 6);
+    BOOST_ASSERT(w[2] == 'h');
+    BOOST_ASSERT(w[3] == 'i');
 }
 
 BOOST_PYTHON_MODULE(list_ext)
Index: libs/python/test/long.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/long.cpp,v
retrieving revision 1.5
diff -b -d -u -r1.5 long.cpp
--- libs/python/test/long.cpp	20 Aug 2004 11:09:19 -0000	1.5
+++ libs/python/test/long.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,8 @@
 #include <boost/python/def.hpp>
 #include <boost/python/long.hpp>
 #include <boost/python/class.hpp>
-#include <cassert>
+#define BOOST_ENABLE_ASSERT_HANDLER
+#include <boost/assert.hpp>
 
 using namespace boost::python;
 
@@ -30,7 +31,7 @@
 {
     long_ y = x;
     x += 50;
-    assert(x == y + 50);
+    BOOST_ASSERT(x == y + 50);
     return "yes";
 }
 
@@ -59,3 +60,4 @@
         ;
 }
 
+#include "module_tail.cpp"
Index: libs/python/test/module_tail.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/module_tail.cpp,v
retrieving revision 1.6
diff -b -d -u -r1.6 module_tail.cpp
--- libs/python/test/module_tail.cpp	18 May 2005 01:34:30 -0000	1.6
+++ libs/python/test/module_tail.cpp	18 Feb 2006 22:55:12 -0000
@@ -27,3 +27,29 @@
 
 #endif // _WIN32
 
+#include <exception>
+#include <boost/python/extract.hpp>
+#include <boost/python/str.hpp>
+struct test_failure : std::exception
+{
+    test_failure(char const* expr, char const* function, char const* file, unsigned line)
+      : msg(file + boost::python::str(":%s:") % line + ": Boost.Python assertion failure: " + expr)
+    {}
+    
+    char const* what() throw()
+    {
+        return boost::python::extract<char const*>(msg)();
+    }
+
+    boost::python::str msg;
+};
+
+namespace boost
+{
+
+void assertion_failed(char const * expr, char const * function, char const * file, long line)
+{
+    throw ::test_failure(expr,function, file, line);
+}
+
+} // namespace boost
Index: libs/python/test/pointer_type_id_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/pointer_type_id_test.cpp,v
retrieving revision 1.3
diff -b -d -u -r1.3 pointer_type_id_test.cpp
--- libs/python/test/pointer_type_id_test.cpp	10 Aug 2004 14:59:57 -0000	1.3
+++ libs/python/test/pointer_type_id_test.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,7 +2,8 @@
 // Software License, Version 1.0. (See accompanying
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 #include <boost/python/type_id.hpp>
-#include <cassert>
+
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/python/converter/pointer_type_id.hpp>
 
 int main()
@@ -13,30 +14,30 @@
         = boost::python::type_id<int>();
     
 
-    assert(pointer_type_id<int*>() == x);
-    assert(pointer_type_id<int const*>() == x);
-    assert(pointer_type_id<int volatile*>() == x);
-    assert(pointer_type_id<int const volatile*>() == x);
+    BOOST_TEST(pointer_type_id<int*>() == x);
+    BOOST_TEST(pointer_type_id<int const*>() == x);
+    BOOST_TEST(pointer_type_id<int volatile*>() == x);
+    BOOST_TEST(pointer_type_id<int const volatile*>() == x);
     
-    assert(pointer_type_id<int*&>() == x);
-    assert(pointer_type_id<int const*&>() == x);
-    assert(pointer_type_id<int volatile*&>() == x);
-    assert(pointer_type_id<int const volatile*&>() == x);
+    BOOST_TEST(pointer_type_id<int*&>() == x);
+    BOOST_TEST(pointer_type_id<int const*&>() == x);
+    BOOST_TEST(pointer_type_id<int volatile*&>() == x);
+    BOOST_TEST(pointer_type_id<int const volatile*&>() == x);
     
-    assert(pointer_type_id<int*const&>() == x);
-    assert(pointer_type_id<int const*const&>() == x);
-    assert(pointer_type_id<int volatile*const&>() == x);
-    assert(pointer_type_id<int const volatile*const&>() == x);
+    BOOST_TEST(pointer_type_id<int*const&>() == x);
+    BOOST_TEST(pointer_type_id<int const*const&>() == x);
+    BOOST_TEST(pointer_type_id<int volatile*const&>() == x);
+    BOOST_TEST(pointer_type_id<int const volatile*const&>() == x);
     
-    assert(pointer_type_id<int*volatile&>() == x);
-    assert(pointer_type_id<int const*volatile&>() == x);
-    assert(pointer_type_id<int volatile*volatile&>() == x);
-    assert(pointer_type_id<int const volatile*volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int*volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int const*volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int volatile*volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int const volatile*volatile&>() == x);
     
-    assert(pointer_type_id<int*const volatile&>() == x);
-    assert(pointer_type_id<int const*const volatile&>() == x);
-    assert(pointer_type_id<int volatile*const volatile&>() == x);
-    assert(pointer_type_id<int const volatile*const volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int*const volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int const*const volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int volatile*const volatile&>() == x);
+    BOOST_TEST(pointer_type_id<int const volatile*const volatile&>() == x);
     
-    return 0;
+    return boost::report_errors();
 }
Index: libs/python/test/raw_pyobject_fail1.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/raw_pyobject_fail1.cpp,v
retrieving revision 1.2
diff -b -d -u -r1.2 raw_pyobject_fail1.cpp
--- libs/python/test/raw_pyobject_fail1.cpp	20 Aug 2004 11:09:19 -0000	1.2
+++ libs/python/test/raw_pyobject_fail1.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,5 +7,5 @@
 int main()
 {
     boost::python::converter::arg_to_python<PyTypeObject*> x(0);
-    return 0;
+    return boost::report_errors();
 }
Index: libs/python/test/raw_pyobject_fail2.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/raw_pyobject_fail2.cpp,v
retrieving revision 1.2
diff -b -d -u -r1.2 raw_pyobject_fail2.cpp
--- libs/python/test/raw_pyobject_fail2.cpp	20 Aug 2004 11:09:19 -0000	1.2
+++ libs/python/test/raw_pyobject_fail2.cpp	18 Feb 2006 22:55:12 -0000
@@ -9,5 +9,5 @@
 int main()
 {
     boost::python::converter::arg_to_python<X*> x(0);
-    return 0;
+    return boost::report_errors();
 }
Index: libs/python/test/staticmethod.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/staticmethod.cpp,v
retrieving revision 1.2
diff -b -d -u -r1.2 staticmethod.cpp
--- libs/python/test/staticmethod.cpp	20 Aug 2004 11:09:19 -0000	1.2
+++ libs/python/test/staticmethod.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,6 +2,8 @@
 // Distributed under the Boost Software License, Version 1.0. (See
 // accompanying file LICENSE_1_0.txt or copy at
 // http://www.boost.org/LICENSE_1_0.txt)
+#include <boost/assert.hpp>
+
 #include <boost/python/class.hpp>
 #include <boost/python/module.hpp>
 #include <boost/python/def.hpp>
@@ -15,10 +17,10 @@
 {
     explicit X(int x) : x(x), magic(7654321) { ++counter; }
     X(X const& rhs) : x(rhs.x), magic(7654321) { ++counter; }
-    virtual ~X() { assert(magic == 7654321); magic = 6666666; x = 9999; --counter; }
+    virtual ~X() { BOOST_ASSERT(magic == 7654321); magic = 6666666; x = 9999; --counter; }
 
-    void set(int x) { assert(magic == 7654321); this->x = x; }
-    int value() const { assert(magic == 7654321); return x; }
+    void set(int x) { BOOST_ASSERT(magic == 7654321); this->x = x; }
+    int value() const { BOOST_ASSERT(magic == 7654321); return x; }
     static int count() { return counter; }
  private:
     void operator=(X const&);
Index: libs/python/test/str.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/str.cpp,v
retrieving revision 1.7
diff -b -d -u -r1.7 str.cpp
--- libs/python/test/str.cpp	8 Sep 2004 19:18:55 -0000	1.7
+++ libs/python/test/str.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,6 +2,8 @@
 // Software License, Version 1.0. (See accompanying
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 #include <boost/python/module.hpp>
+#include <boost/assert.hpp>
+
 #include <boost/python/def.hpp>
 #include <boost/python/class.hpp>
 #include <boost/python/str.hpp>
@@ -25,8 +27,8 @@
     print(data.encode("utf-8"));
     print(data.decode("utf-8"));
     
-    assert(!data.endswith("xx"));
-    assert(!data.startswith("test"));
+    BOOST_ASSERT(!data.endswith("xx"));
+    BOOST_ASSERT(!data.startswith("test"));
     
     print(data.splitlines());
     print(data.strip());
@@ -54,8 +56,8 @@
     print(data.rfind("i",5));
     print(data.rindex("i",5));
 
-    assert(!data.startswith("asdf"));
-    assert(!data.endswith("asdf"));
+    BOOST_ASSERT(!data.startswith("asdf"));
+    BOOST_ASSERT(!data.endswith("asdf"));
     
     print(data.translate(str('a')*256));
 
Index: libs/python/test/string_literal.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/string_literal.cpp,v
retrieving revision 1.4
diff -b -d -u -r1.4 string_literal.cpp
--- libs/python/test/string_literal.cpp	10 Aug 2004 14:59:57 -0000	1.4
+++ libs/python/test/string_literal.cpp	18 Feb 2006 22:55:12 -0000
@@ -3,7 +3,8 @@
 // file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
 #include <boost/python/detail/string_literal.hpp>
 //#include <stdio.h>
-#include <cassert>
+
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/static_assert.hpp>
 
 using namespace boost::python::detail;
@@ -37,5 +38,5 @@
     BOOST_STATIC_ASSERT(!is_string_literal<int[20]>::value);
     BOOST_STATIC_ASSERT(!is_string_literal<int const[20]>::value);
     BOOST_STATIC_ASSERT(!is_string_literal<int const[3]>::value);
-    return 0;
+    return boost::report_errors();
 }
Index: libs/python/test/test_class.hpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/test_class.hpp,v
retrieving revision 1.4
diff -b -d -u -r1.4 test_class.hpp
--- libs/python/test/test_class.hpp	20 Aug 2004 11:09:19 -0000	1.4
+++ libs/python/test/test_class.hpp	18 Feb 2006 22:55:12 -0000
@@ -4,17 +4,17 @@
 // http://www.boost.org/LICENSE_1_0.txt)
 #ifndef TEST_CLASS_DWA2002326_HPP
 # define TEST_CLASS_DWA2002326_HPP
-# include <cassert>
+# include <boost/detail/lightweight_test.hpp>
 
 template <int n = 0>
 struct test_class
 {
     explicit test_class(int x) : x(x), magic(7654321 + n) { ++counter; }
     test_class(test_class const& rhs) : x(rhs.x), magic(7654321 + n) { ++counter; }
-    virtual ~test_class() { assert(magic == 7654321 + n); magic = 6666666; x = 9999; --counter; }
+    virtual ~test_class() { BOOST_TEST(magic == 7654321 + n); magic = 6666666; x = 9999; --counter; }
 
-    void set(int x) { assert(magic == 7654321 + n); this->x = x; }
-    int value() const { assert(magic == 7654321 + n); return x; }
+    void set(int x) { BOOST_TEST(magic == 7654321 + n); this->x = x; }
+    int value() const { BOOST_TEST(magic == 7654321 + n); return x; }
     operator int() const { return x; }
     static int count() { return counter; }
 
Index: libs/python/test/upcast.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/upcast.cpp,v
retrieving revision 1.2
diff -b -d -u -r1.2 upcast.cpp
--- libs/python/test/upcast.cpp	20 Aug 2004 11:09:19 -0000	1.2
+++ libs/python/test/upcast.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,6 +2,7 @@
 // Distributed under the Boost Software License, Version 1.0. (See
 // accompanying file LICENSE_1_0.txt or copy at
 // http://www.boost.org/LICENSE_1_0.txt)
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/python/cast.hpp>
 
 struct X { long x; };
@@ -11,8 +12,8 @@
 {
     PyTypeObject o;
     Y y;
-    assert(&boost::python::upcast<PyObject>(&o)->ob_refcnt == &o.ob_refcnt);
-    assert(&boost::python::upcast<PyObject>(&y)->ob_refcnt == &y.ob_refcnt);
-    return 0;
+    BOOST_TEST(&boost::python::upcast<PyObject>(&o)->ob_refcnt == &o.ob_refcnt);
+    BOOST_TEST(&boost::python::upcast<PyObject>(&y)->ob_refcnt == &y.ob_refcnt);
+    return boost::report_errors();
 }
 
Index: libs/python/test/virtual_functions.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/python/test/virtual_functions.cpp,v
retrieving revision 1.13
diff -b -d -u -r1.13 virtual_functions.cpp
--- libs/python/test/virtual_functions.cpp	20 Aug 2004 11:09:19 -0000	1.13
+++ libs/python/test/virtual_functions.cpp	18 Feb 2006 22:55:12 -0000
@@ -2,6 +2,8 @@
 // Distributed under the Boost Software License, Version 1.0. (See
 // accompanying file LICENSE_1_0.txt or copy at
 // http://www.boost.org/LICENSE_1_0.txt)
+#include <boost/assert.hpp>
+
 #include <boost/python/class.hpp>
 #include <boost/python/module.hpp>
 #include <boost/python/def.hpp>
@@ -16,10 +18,10 @@
 {
     explicit X(int x) : x(x), magic(7654321) { ++counter; }
     X(X const& rhs) : x(rhs.x), magic(7654321) { ++counter; }
-    virtual ~X() { assert(magic == 7654321); magic = 6666666; x = 9999; --counter; }
+    virtual ~X() { BOOST_ASSERT(magic == 7654321); magic = 6666666; x = 9999; --counter; }
 
-    void set(int x) { assert(magic == 7654321); this->x = x; }
-    int value() const { assert(magic == 7654321); return x; }
+    void set(int x) { BOOST_ASSERT(magic == 7654321); this->x = x; }
+    int value() const { BOOST_ASSERT(magic == 7654321); return x; }
     static int count() { return counter; }
  private:
     void operator=(X const&);
Index: libs/spirit/fusion/test/pair_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/fusion/test/pair_tests.cpp,v
retrieving revision 1.1
diff -b -d -u -r1.1 pair_tests.cpp
--- libs/spirit/fusion/test/pair_tests.cpp	28 Nov 2005 23:09:23 -0000	1.1
+++ libs/spirit/fusion/test/pair_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -6,6 +6,8 @@
 #include <boost/mpl/assert.hpp>
 #include <boost/type_traits/is_same.hpp>
 
+#include <boost/detail/lightweight_test.hpp>
+
 #include <utility>
 #include <iostream>
 #include <string>
@@ -19,17 +21,17 @@
     BOOST_MPL_ASSERT((boost::is_same<tuple_element<1, std::pair<int, float> >::type, float>));
 
     std::pair<int, std::string> pr(1, "hello");
-    assert(get<0>(pr) == 1);
-    assert(get<1>(pr) == "hello");
+    BOOST_TEST(get<0>(pr) == 1);
+    BOOST_TEST(get<1>(pr) == "hello");
 
     get<0>(pr) = 2;
     get<1>(pr) = "world";
-    assert(get<0>(pr) == 2);
-    assert(get<1>(pr) == "world");
+    BOOST_TEST(get<0>(pr) == 2);
+    BOOST_TEST(get<1>(pr) == "world");
 
     const std::pair<int, std::string> pr2(pr);
-    assert(get<0>(pr2) == 2);
-    assert(get<1>(pr2) == "world");
+    BOOST_TEST(get<0>(pr2) == 2);
+    BOOST_TEST(get<1>(pr2) == "world");
     
     return 0;
 }
Index: libs/spirit/phoenix/test/binary_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/binary_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 binary_tests.cpp
--- libs/spirit/phoenix/test/binary_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/binary_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -13,7 +13,7 @@
 #endif
 
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -34,59 +34,59 @@
 //  Binary operators
 //
 ///////////////////////////////////////////////////////////////////////////////
-    assert((var(i) = var(i))() == 5);
-    assert((var(i) = 3)() == 3);
-    assert(i == 3);
+    BOOST_TEST((var(i) = var(i))() == 5);
+    BOOST_TEST((var(i) = 3)() == 3);
+    BOOST_TEST(i == 3);
     i = 5;
     int x, y, z;
     (var(x) = var(y) = var(z) = 10)();
-    assert(x == 10 && y == 10 && z == 10);
-    assert((val(world)[3])() == world[3]);
+    BOOST_TEST(x == 10 && y == 10 && z == 10);
+    BOOST_TEST((val(world)[3])() == world[3]);
 
-    assert((var(i) += 5)() == 10);
-    assert((var(i) -= 5)() == 5);
-    assert((var(i) *= 5)() == 25);
-    assert((var(i) /= 5)() == 5);
-    assert((var(i) %= 2)() == 1);
+    BOOST_TEST((var(i) += 5)() == 10);
+    BOOST_TEST((var(i) -= 5)() == 5);
+    BOOST_TEST((var(i) *= 5)() == 25);
+    BOOST_TEST((var(i) /= 5)() == 5);
+    BOOST_TEST((var(i) %= 2)() == 1);
 
-    assert((var(i) <<= 3)() == 8);
-    assert((var(i) >>= 1)() == 4);
-    assert((var(i) |= 0xFF)() == 0xFF);
-    assert((var(i) &= 0xF0)() == 0xF0);
-    assert((var(i) ^= 0xFFFFFFFF)() == int(0xFFFFFF0F));
+    BOOST_TEST((var(i) <<= 3)() == 8);
+    BOOST_TEST((var(i) >>= 1)() == 4);
+    BOOST_TEST((var(i) |= 0xFF)() == 0xFF);
+    BOOST_TEST((var(i) &= 0xF0)() == 0xF0);
+    BOOST_TEST((var(i) ^= 0xFFFFFFFF)() == int(0xFFFFFF0F));
 
-    assert((val(5) == val(5))());
-    assert((val(5) == 5)());
+    BOOST_TEST((val(5) == val(5))());
+    BOOST_TEST((val(5) == 5)());
 
-    assert((arg1 + arg2)(i2, i3) == i2 + i3);
-    assert((arg1 - arg2)(i2, i3) == i2 - i3);
-    assert((arg1 * arg2)(i2, i3) == i2 * i3);
-    assert((arg1 / arg2)(i2, i3) == i2 / i3);
-    assert((arg1 % arg2)(i2, i3) == i2 % i3);
-    assert((arg1 & arg2)(i2, i3) == i2 & i3);
-    assert((arg1 | arg2)(i2, i3) == i2 | i3);
-    assert((arg1 ^ arg2)(i2, i3) == i2 ^ i3);
-    assert((arg1 << arg2)(i2, i3) == i2 << i3);
-    assert((arg1 >> arg2)(i2, i3) == i2 >> i3);
+    BOOST_TEST((arg1 + arg2)(i2, i3) == i2 + i3);
+    BOOST_TEST((arg1 - arg2)(i2, i3) == i2 - i3);
+    BOOST_TEST((arg1 * arg2)(i2, i3) == i2 * i3);
+    BOOST_TEST((arg1 / arg2)(i2, i3) == i2 / i3);
+    BOOST_TEST((arg1 % arg2)(i2, i3) == i2 % i3);
+    BOOST_TEST((arg1 & arg2)(i2, i3) == i2 & i3);
+    BOOST_TEST((arg1 | arg2)(i2, i3) == i2 | i3);
+    BOOST_TEST((arg1 ^ arg2)(i2, i3) == i2 ^ i3);
+    BOOST_TEST((arg1 << arg2)(i2, i3) == i2 << i3);
+    BOOST_TEST((arg1 >> arg2)(i2, i3) == i2 >> i3);
 
-    assert((val(5) != val(6))());
-    assert((val(5) < val(6))());
-    assert(!(val(5) > val(6))());
-    assert((val(5) < val(6))());
-    assert((val(5) <= val(6))());
-    assert((val(5) <= val(5))());
-    assert((val(7) >= val(6))());
-    assert((val(7) >= val(7))());
+    BOOST_TEST((val(5) != val(6))());
+    BOOST_TEST((val(5) < val(6))());
+    BOOST_TEST(!(val(5) > val(6))());
+    BOOST_TEST((val(5) < val(6))());
+    BOOST_TEST((val(5) <= val(6))());
+    BOOST_TEST((val(5) <= val(5))());
+    BOOST_TEST((val(7) >= val(6))());
+    BOOST_TEST((val(7) >= val(7))());
 
-    assert((val(false) && val(false))() == false);
-    assert((val(true) && val(false))() == false);
-    assert((val(false) && val(true))() == false);
-    assert((val(true) && val(true))() == true);
+    BOOST_TEST((val(false) && val(false))() == false);
+    BOOST_TEST((val(true) && val(false))() == false);
+    BOOST_TEST((val(false) && val(true))() == false);
+    BOOST_TEST((val(true) && val(true))() == true);
 
-    assert((val(false) || val(false))() == false);
-    assert((val(true) || val(false))() == true);
-    assert((val(false) || val(true))() == true);
-    assert((val(true) || val(true))() == true);
+    BOOST_TEST((val(false) || val(false))() == false);
+    BOOST_TEST((val(true) || val(false))() == true);
+    BOOST_TEST((val(false) || val(true))() == true);
+    BOOST_TEST((val(true) || val(true))() == true);
 
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -94,8 +94,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();
 }
Index: libs/spirit/phoenix/test/binders_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/binders_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 binders_tests.cpp
--- libs/spirit/phoenix/test/binders_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/binders_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
 ==============================================================================*/
 #include <iostream>
 #include <functional>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -102,11 +102,11 @@
 //  Member var binders
 
     printer.x = 3;
-    assert(bind(&print_::x)(arg1)(printer) == 3);
-    assert(print_x(arg1)(printer) == 3);
-    assert(print_x(printer)() == 3);
-    assert(0 != (print_x(var(printer))() = 4));
-    assert(printer.x == 4);
+    BOOST_TEST(bind(&print_::x)(arg1)(printer) == 3);
+    BOOST_TEST(print_x(arg1)(printer) == 3);
+    BOOST_TEST(print_x(printer)() == 3);
+    BOOST_TEST(0 != (print_x(var(printer))() = 4));
+    BOOST_TEST(printer.x == 4);
 
 //  Bound member functions
 
@@ -118,8 +118,5 @@
     bound_print_foo2(111, 222)();
     bound_print_foo2(111, arg1)(i100);
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();
 }
Index: libs/spirit/phoenix/test/functors_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/functors_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 functors_tests.cpp
--- libs/spirit/phoenix/test/functors_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/functors_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
 ==============================================================================*/
 #include <iostream>
 #include <cmath>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -79,11 +79,11 @@
 ///////////////////////////////////////////////////////////////////////////////
 
     test()();
-    assert(sqr(arg1)(i5) == (i5*i5));
-    assert(fact(4)() == 24);
-    assert(fact(arg1)(i5) == 120);    
-    assert((int)power(arg1, arg2)(d5, d3) == (int)pow(d5, d3));
-    assert((sqr(arg1) + 5)(i5) == ((i5*i5)+5));
+    BOOST_TEST(sqr(arg1)(i5) == (i5*i5));
+    BOOST_TEST(fact(4)() == 24);
+    BOOST_TEST(fact(arg1)(i5) == 120);    
+    BOOST_TEST((int)power(arg1, arg2)(d5, d3) == (int)pow(d5, d3));
+    BOOST_TEST((sqr(arg1) + 5)(i5) == ((i5*i5)+5));
 
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -91,8 +91,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();
 }
Index: libs/spirit/phoenix/test/iostream_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/iostream_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 iostream_tests.cpp
--- libs/spirit/phoenix/test/iostream_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/iostream_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -10,7 +10,7 @@
 #include <vector>
 #include <algorithm>
 #include <string>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #include <boost/config.hpp>
 #ifdef BOOST_NO_STRINGSTREAM
@@ -74,7 +74,7 @@
     SSTREAM sstr;
     (sstr << arg1)(out);
     (sstr >> arg1)(in);
-    assert(in == out);
+    BOOST_TEST(in == out);
 
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -82,8 +82,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
